#ifndef __PPM_IMAGE_H_
#define __PPM_IMAGE_H_

/*=================================================================================
FILE:			ppm_image.h
  
DESCRIPTION:	This file is provide as a standard sample Brew header file. 
				Please refer to this OpenGL(R)ES brew sample application as a 
				reference on how to use the standard OpenGL-ES and EGL APIs.
                          
ABSTRACT:		The ppm image loader application header file 

AUTHOR:			QUALCOMM
                        
				Copyright (c) 2004 QUALCOMM Incorporated.
					   All Rights Reserved.
					QUALCOMM Proprietary/GTDR
=================================================================================*/

/*-------------------------------------------------------------------------------*
 *                      I N C L U D E   F I L E S                                *
 *-------------------------------------------------------------------------------*/

#include <stdio.h>
#include "AEEStdLib.h"
#include "AEEFile.h"
#include "AEE.h"
#include "AEEShell.h"

/*-------------------------------------------------------------------------------*
 *							F U N C T I O N S		                             *
 *-------------------------------------------------------------------------------*/
#ifdef __cplusplus
extern "C"
{
#endif

unsigned char *
PPMToTexture(IShell *shell, const char *filename, int *widthp, int *heightp );

int
ReadPPMLine( IFile* pFile, char *line );
#ifdef __cplusplus
}
#endif

#endif //__PPM_IMAGE_H_