#ifndef __gl_QUALCOMM_h_
#define __gl_QUALCOMM_h_

/*
** Copyright (C) 2005 QUALCOMM, Inc.
*/

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#define GL_GLQUALCOMM_VERSION 1


/*
**  OES EXTENSIONS
*/


/*
** GL_OES_vertex_buffer_object
** 
** 
** 
*/
#ifndef GL_OES_vertex_buffer_object
#define GL_OES_vertex_buffer_object                        1

#define GL_ARRAY_BUFFER_OES                                0x8892
#define GL_ELEMENT_ARRAY_BUFFER_OES                        0x8893
#define GL_ARRAY_BUFFER_BINDING_OES                        0x8894
#define GL_ELEMENT_ARRAY_BUFFER_BINDING_OES                0x8895
#define GL_VERTEX_ARRAY_BUFFER_BINDING_OES                 0x8896
#define GL_NORMAL_ARRAY_BUFFER_BINDING_OES                 0x8897
#define GL_COLOR_ARRAY_BUFFER_BINDING_OES                  0x8898
#define GL_TEXTURE_COORD_ARRAY_BUFFER_BINDING_OES          0x889A
#define GL_STATIC_DRAW_OES                                 0x88E4
#define GL_DYNAMIC_DRAW_OES                                0x88E8
#define GL_WRITE_ONLY_OES                                  0x88B9
#define GL_BUFFER_SIZE_OES                                 0x8764
#define GL_BUFFER_USAGE_OES                                0x8765
#define GL_BUFFER_ACCESS_OES                               0x88BB

typedef GLvoid     (GL_APIENTRY * PFNGLBINDBUFFEROESPROC) (GLenum target, GLuint buffer);
typedef GLvoid     (GL_APIENTRY * PFNGLDELETEBUFFERSOESPROC) (GLsizei n, const GLuint *buffers);
typedef GLvoid     (GL_APIENTRY * PFNGLGENBUFFERSOESPROC) (GLsizei n, GLuint *buffers);
typedef GLboolean  (GL_APIENTRY * PFNGLISBUFFEROESPROC) (GLuint buffer);
typedef GLvoid     (GL_APIENTRY * PFNGLBUFFERDATAOESPROC) (GLenum target, GLsizeiptrARB size, const GLvoid *data, GLenum usage);
typedef GLvoid     (GL_APIENTRY * PFNGLBUFFERSUBDATAOESPROC) (GLenum target, GLintptrARB offset, GLsizeiptrARB size, const GLvoid *data);
typedef GLvoid     (GL_APIENTRY * PFNGLGETBUFFERPARAMETERIVOESPROC) (GLenum target, GLenum pname, GLint *params);

#endif /* GL_OES_vertex_buffer_object */


/*
** GL_OES_draw_texture
** 
** 
** 
*/
#ifndef GL_OES_draw_texture
#define GL_OES_draw_texture                                1

#define GL_TEXTURE_CROP_RECT_OES                           0x8B9D

typedef GLvoid     (GL_APIENTRY * PFNGLDRAWTEXSOESPROC) (GLshort x, GLshort y, GLshort z, GLshort width, GLshort height);
typedef GLvoid     (GL_APIENTRY * PFNGLDRAWTEXIOESPROC) (GLint   x, GLint   y, GLint   z, GLint   width, GLint   height);
typedef GLvoid     (GL_APIENTRY * PFNGLDRAWTEXXOESPROC) (GLfixed x, GLfixed y, GLfixed z, GLfixed width, GLfixed height);

typedef GLvoid     (GL_APIENTRY * PFNGLDRAWTEXSVOESPROC) (GLshort *coords);
typedef GLvoid     (GL_APIENTRY * PFNGLDRAWTEXIVOESPROC) (GLint   *coords);
typedef GLvoid     (GL_APIENTRY * PFNGLDRAWTEXXVOESPROC) (GLfixed *coords);

typedef GLvoid     (GL_APIENTRY * PFNGLTEXPARAMETERIVPROC) (GLenum target, GLenum pname, const GLint   *params);
typedef GLvoid     (GL_APIENTRY * PFNGLTEXPARAMETERXVPROC) (GLenum target, GLenum pname, const GLfixed *params);

#endif /* GL_OES_draw_texture */


/*
** GL_OES_query_matrix
** 
** 
** 
*/
#ifndef GL_OES_query_matrix
#define GL_OES_query_matrix                                1

typedef GLbitfield (GL_APIENTRY * PFNGLQUERYMATRIXXOESPROC) (GLfixed *mantissa, GLint *exponent);

#endif /* GL_OES_query_matrix */


/*
**  QUALCOMM EXTENSIONS
*/


/*
** EGL_QUALCOMM_color_buffer
** 
** 
** 
*/
#ifndef EGL_QUALCOMM_color_buffer
#define EGL_QUALCOMM_color_buffer                          1

typedef void*      (GL_APIENTRY * PFNEGLGETCOLORBUFFERQUALCOMM) (void);

#endif /* EGL_QUALCOMM_color_buffer */


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __gl_QUALCOMM_h_ */
