#ifndef XXGLU_H
#define XXGLU_H

/*=================================================================================
FILE:			xxglu.h
  
DESCRIPTION:	This file is provide as a standard sample Brew header file. 
				Please refer to this OpenGL(R)ES brew sample application as a 
				reference on how to use the standard OpenGL-ES and EGL APIs.
                          
ABSTRACT:		The xxglu application header file 

AUTHOR:			QUALCOMM
                        
				Copyright (c) 2004 QUALCOMM Incorporated.
					   All Rights Reserved.
					QUALCOMM Proprietary/GTDR
=================================================================================*/

/*-------------------------------------------------------------------------------*
 *                      I N C L U D E   F I L E S                                *
 *-------------------------------------------------------------------------------*/
#include "gles/gl.h"

/*-------------------------------------------------------------------------------*
 *                            M A C R O S                                        *
 *-------------------------------------------------------------------------------*/
#ifdef WIN32
typedef long int32;
typedef short int int16;
typedef __int64 int64;
typedef unsigned __int64 uint64;
#endif

#ifdef __cplusplus
extern "C"
{
#endif

GLAPI void	xxgluCrossFx( int32 n[3], int32 a[3], int32 b[3] );
GLAPI int32	xxgluUnitFx( int32 [3], int32 [3] );
GLAPI void  xxgluLookAtMatrixFx(int32 *m, int32 ex, int32 ey, int32 ez, int32 atx, int32 aty, int32 atz, int32 ux, int32 uy, int32 uz);
GLAPI int32 xxgluSqrtFx(int32 val);

#ifdef __cplusplus
}
#endif

#endif
